import { DataEntryComponent } from './data-entry/data-entry.component';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomeComponent } from './home/home.component';
import { SettingsComponent } from './settings/settings.component';
import { ArticlesComponent } from './articles/articles.component';
import { GraphicsPageComponent } from './graphics-page/graphics-page.component';


const routes: Routes = [
  { path: '', component: HomeComponent },
  { path: 'data-entry', component: DataEntryComponent },
  { path: 'settings', component: SettingsComponent},
  { path: "articles", component: ArticlesComponent },
  { path: "graphics", component: GraphicsPageComponent },

  // Otherwise, redirect to home
  { path: '**', redirectTo: '' }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }

export const appRoutingModule = RouterModule.forRoot(routes);
